# Version SVN: $Id: defaults.yml 190 2015-03-18 22:25:20Z sven.poeche $
defaults:
  transcoding_opensource:
    name:                             'Transcoding OpenSource'
    description:                      ''
    weight:                           -9499
    params:
      transcoding_opensource_hd:
        type:                         boolean
        value:                        true
        name:                         'HD transcoding'
        description:                  ''
        editable:                     true
        system:                       true
        nullable:                     false
      transcoding_opensource_use_rotation_detection:
        type:                         boolean
        value:                        false
        name:                         'Use rotation detection algorithm'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      transcoding_opensource_copy_upload:
        type:                         boolean
        value:                        false
        name:                         'Copy from upload'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      transcoding_opensource_save_source:
        type:                         boolean
        value:                        true
        name:                         'Save source files'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false

      transcoding_opensource_aaclib:
        type:                         set
        value:                        'aac'
        set:                          {libfdk_aac: 'Fraunhofer FDK AAC codec', aac: 'Native FFmpeg AAC encoder', libfaac: 'Freeware Advanced Audio Coder' }
        name:                         'AAC Encoder'
        description:                  'Choose an aac encoder library'
        editable:                     true
        system:                       false
        nullable:                     false
      
      transcoding_opensource_aacalib:
        type:                         set
        value:                        'aac'
        set:                          {aac: 'AAC', mp3: 'MP3'}
        name:                         'Audio file format'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false  
     
      transcoding_opensource_aaclib_experimental:
        type:                         boolean
        value:                        false
        name:                         'Use Native FFmpeg AAC encoder with -strict experimental'
        description:                  ''
        editable:                     true
        system:                       true
        nullable:                     false

      transcoding_opensource_label_format:
        type:                         string
        value:                        'Default'
        name:                         'Default format label'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     true
      transcoding_opensource_weight_format:
        type:                         integer
        value:                        5
        name:                         'Default format weight'
        description:                  'Defines the order of the format in the quality selector'
        editable:                     true
        system:                       false
        nullable:                     false

      transcoding_opensource_user_bitrate:
        type:                         integer
        value:                        2000
        name:                         'Video bitrate for desktop format (in kbit/s)'
        description:                  'Defines the video bitrate of the default desktop format (default: @default)'
        editable:                     true
        system:                       false
        nullable:                     false
      transcoding_opensource_user_bitrate_audio:
        type:                         integer
        value:                        160
        name:                         'Audio bitrate for desktop format (in kbit/s)'
        description:                  'Defines the audio bitrate of the default desktop format(default: @default)'
        editable:                     true
        system:                       false
        nullable:                     false
      transcoding_opensource_user_bitrate_mobile:
        type:                         integer
        value:                        1000
        name:                         'Video bitrate for smartphone format (in kbit/s)'
        description:                  'Defines the video bitrate of the default smartphone format (default: @default)'
        editable:                     true
        system:                       false
        nullable:                     false
      transcoding_opensource_user_bitrate_mobile_audio:
        type:                         integer
        value:                        96
        name:                         'Audio bitrate for smartphone format (in kbit/s)'
        description:                  'Defines the audio bitrate of the default smartphone format (default: @default)'
        editable:                     true
        system:                       false
        nullable:                     false
      transcoding_opensource_custom_preset:
        type:                         string
        value:                        ~
        name:                         'Custom preset'
        description:                  'https://ffmpeg.org/ffmpeg.html#ffpreset-files'
        editable:                     true
        system:                       false
        nullable:                     true

      transcoding_opensource_width:
        type:                         string
        value:                        1024
        name:                         'Width of the converted video stream'
        description:                  'Maximum width of the converted video stream'
        editable:                     true
        system:                       false
        nullable:                     false
      transcoding_opensource_height:
        type:                         string
        value:                        -2
        name:                         'Height of the converted video stream'
        description:                  'Maximum height of the converted video stream (default: -2 = height will be calculated automatically)'
        editable:                     true
        system:                       false
        nullable:                     false
      transcoding_opensource_html5_width:
        type:                         string
        value:                        640
        name:                         'Width of converted smartphone video stream'
        description:                  'Maximum width of converted smartphone video stream (default: -2 = height will be calculated automatically)'
        editable:                     true
        system:                       false
        nullable:                     false
      transcoding_opensource_html5_height:
        type:                         string
        value:                        -2
        name:                         'Height of converted smartphone video stream'
        description:                  'Maximum height of converted smartphone video stream (default: -2 = height will be calculated automatically)'
        editable:                     true
        system:                       false
        nullable:                     false
      transcoding_opensource_threads:
        type:                         integer
        value:                        0
        name:                         'ffmpeg threads'
        description:                  'Number of threads that ffmpeg is supposed to use to transcode the videos (default: @default, 0 = auto).'
        editable:                     true
        system:                       false
        nullable:                     false
      transcoding_opensource_ffmpeg:
        type:                         executable
        value:                        ''
        name:                         'ffmpeg path'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      transcoding_opensource_ffprobe:
        type:                         executable
        value:                        ''
        name:                         'ffprobe path'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      transcoding_opensource_flvtool2:
        type:                         executable
        value:                        ''
        name:                         'flvtool2 path'
        description:                  ''
        editable:                     true
        system:                       true
        nullable:                     false
      transcoding_opensource_exiftool:
        type:                         executable
        value:                        ''
        name:                         'exiftool path'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false

      transcoding_opensource_m4v:
        type:                         boolean
        value:                        true
        name:                         'Transcode to mobile MP4 (.m4v)'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      transcoding_opensource_ogv:
        type:                         boolean
        value:                        false
        name:                         'Transcode to Ogg Vorbis Video (.ogv)'
        description:                  ''
        editable:                     true
        system:                       true
        nullable:                     false
      transcoding_opensource_enable_priority_categories:
         type:                        boolean
         value:                       false
         name:                        Enable transcoding priority categories
         description:                 ''
<?php if(!class_exists('ProjectConfiguration')) require_once dirname(dirname(__FILE__)) . '/ProjectConfiguration.class.php'; ?>
<?php if(!in_array(ProjectConfiguration::LICENSE, array('COMMUNITY', 'LIGHT'))): ?>
         system:                      false
         editable:                    true
<?php else: ?>
         system:                      true
         editable:                    false
<?php endif; ?>
         nullable:                    false
      transcoding_opensource_enable_priority_per_medium:
         type:                        boolean
         value:                       false
         name:                        Enable transcoding priority per medium
         description:                 ''
<?php if(!in_array(ProjectConfiguration::LICENSE, array('COMMUNITY', 'LIGHT'))): ?>
         system:                      false
         editable:                    true
<?php else: ?>
         system:                      true
         editable:                    false
<?php endif; ?>
         nullable:                    false
      transcoding_opensource_webm:
        type:                         boolean
        value:                        false
        name:                         'Transcode to WebM (.webm)'
        description:                  ''
        editable:                     true
        system:                       true
        nullable:                     false
      transcoding_opensource_oga:
        type:                         boolean
        value:                        false
        name:                         'Transcode to Ogg Vorbis Audio (.oga)'
        description:                  ''
        editable:                     true
        system:                       true
        nullable:                     false
      transcoding_opensource_wav:
        type:                         boolean
        value:                        false
        name:                         'Transcode to PCM Wave Audio (.wav)'
        description:                  ''
        editable:                     true
        system:                       true
        nullable:                     false

      transcoding_opensource_process_priority:
        type:                         integer
        value:                        19
        name:                         'Process priority (nice)'
        description:                  ''
        editable:                     true
        system:                       true
        nullable:                     false
      transcoding_opensource_deinterlacing:
        type:                         boolean
        value:                        true
        name:                         'Enable deinterlacing'
        description:                  ''
        editable:                     true
        system:                       false
        nullable:                     false
      #transcoding_opensource_gpu_transcoding:
      #  type:                         boolean
      #  value:                        false
      #  name:                         'Enable GPU transcoding'
      #  description:                  ''
      #  editable:                     true
      #  system:                       false
      #  nullable:                     false


